Package edu.msu.cme.rdp.classifier.train

# Class LineageSequence

java.lang.Object
edu.msu.cme.rdp.readseq.readers.Sequence
edu.msu.cme.rdp.classifier.train.LineageSequence

All Implemented Interfaces:
  `Serializable`

public class LineageSequence extends edu.msu.cme.rdp.readseq.readers.Sequence
A ParsedRawSequence holds the data for a raw sequence.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class edu.msu.cme.rdp.readseq.readers.Sequence

`desc, seqName, seqString`

## Constructor Summary

Constructors
Constructor
Description
`LineageSequence(String n, List<String> al, String seq)`
Creates new ParsedRawSequence.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getAncestors()`
Returns the list of the ancestor taxa, with the highest ranked taxon first.
`String`
`getDesc()`
`edu.msu.cme.rdp.readseq.utils.orientation.GoodWordIterator`
`getPartialSeqIteratorbyGoodBases(int num_good_bases)`

### Methods inherited from class edu.msu.cme.rdp.readseq.readers.Sequence

`getSeqName, getSeqString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LineageSequence

public LineageSequence(String n, List<String> al, String seq)
Creates new ParsedRawSequence.

## Method Details

### getAncestors

public List<String> getAncestors()
Returns the list of the ancestor taxa, with the highest ranked taxon first.

### getDesc

public String getDesc()

Overrides:
  `getDesc` in class `edu.msu.cme.rdp.readseq.readers.Sequence`

### getPartialSeqIteratorbyGoodBases

public edu.msu.cme.rdp.readseq.utils.orientation.GoodWordIterator getPartialSeqIteratorbyGoodBases(int num_good_bases) throws IOException

Throws:
  `IOException`